#ifndef ACTION_H
#define ACTION_H

struct action {
    void (*fn)(const struct action *act);
    const char *s1;
    const char *s2;
    struct action *next;
};


struct action *new_action(void (*fn)(const struct action *act));

void action_accept(const struct action *act);
void action_exit(const struct action *act);
void action_layout(const struct action *act);
void action_map(const struct action *act);
void action_reset(const struct action *act);
void action_send(const struct action *act);
void action_tr(const struct action *act);

void do_actions(const struct action *act);

#endif /* !ACTION_H */
