/*
 * error.h - Error reporting for programming languages
 *
 * Written 2006-2007 by Werner Almesberger
 * Copyright 2006-2007 Werner Almesberger
 */


#ifndef ERROR_H
#define ERROR_H

#include <stdarg.h>


extern int lineno;


void __attribute__((noreturn)) yyerror(const char *s);
void __attribute__((noreturn)) yyerrorf(const char *fmt,...)
  __attribute__((format(printf,1,2)));


#endif /* !ERROR_H */
