#ifndef PATTERN_H
#define PATTERN_H

#include "action.h"


struct pattern;


extern int neutral_center;


void pattern_start(void);
void pattern_enter(int zone);

void pattern_clear(void);
const struct pattern *pattern_get(void);
void pattern_merge(const struct pattern *p);

void pattern_action(const struct action *action);

void pattern_press(int x, int y);
void pattern_track(int x, int y);
void pattern_release(int x, int y);

#endif /* !PATTERN_H */
