#include <string.h>

#include "common.h"
#include "error.h"
#include "zone.h"


static const char *name[MAX_ZONES];
static int zone = 0;


void zone_init(int zones)
{
    /* @@@FIXME: range check */
}


void zone_name(const char *s)
{
    name[zone++] = s;
}


int find_zone(const char *s)
{
    int i;

    for (i = 0; i != MAX_ZONES; i++)
	if (!strcmp(name[i], s))
	    return i;
    yyerrorf("no zone \"%s\"", s);
}
