#!/bin/sh
#
# Copyright Matthias Hentges <devel@hentges.net> (c) 2007
# License: MIT (see http://www.opensource.org/licenses/mit-license.php 
#               for a copy of the license)
#
# Filename: inwheel_0.1.1.bb
# Date: 20070505 (YMD)

DESCRIPTION = "<description>"
MAINTAINER = "Matthias 'CoreDump' Hentges <oe@hentges.net>"
HOMEPAGE = "<homepage>"
LICENSE = "<license>"

DEPENDS = "flex bison"
DEPENDS_prepend = "${@["openmoko-libs ", ""][(bb.data.getVar('PN', d, 1) == 'openmoko-libs')]}"

###############################################################################

PR = "r0"

inherit autotools pkgconfig

###############################################################################

SRC_URI = "http://www.almesberger.net/misc/openmoko/inwheel-1.tar.gz"

###############################################################################

S = "${WORKDIR}/${PN}-0"

do_install() {
	install -d "${D}/usr/bin"
	install -m 755 "${S}/${PN}" "${D}/usr/bin"
}
