#ifndef WHEEL_H
#define WHEEL_H

void wheel_init(int n_spokes, int start_angle);
void wheel_center(int radius);
void wheel_segment(int radius);
void wheel_field(int size, int radius, int angle);

void wheel_draw(void);
void wheel_label(int zone, int nth, const char *label);

int wheel_zone(int x, int y);

#endif /* !WHEEL_H */
